## Become a Contributor

Here are some ways you can help:

* "[Watch](https://github.com/bitcoin-dot-org/bitcoin.org/subscription)" this
  repository to be notified of issues and Pull Requests (PRs) that could use
  your attention.

    Alternatively, email volunteer coordinator Will Binns
    ([will@bitcoin.org](mailto:will@bitcoin.org)) or Dave Harding ([dave@dtrt.org](dave@dtrt.org))
    with a short list of your interests and skills, and they will email you when
    there's an issue or PR that could use your attention.

* Help [write new documentation](https://github.com/bitcoin-dot-org/bitcoin.org/blob/master/docs/contributing-to-developer-documentation.md)
  for the [developer documentation pages](https://bitcoin.org/en/developer-documentation)
  or [full node page](https://bitcoin.org/en/full-node), or **[review PRs
  adding new documentation](https://github.com/bitcoin-dot-org/bitcoin.org/pulls?q=is%3Apr+is%3Aopen+label%3A%22Dev+Docs%22).**
  You don't need to be a Bitcoin expert to review a PR---these docs are written
  for non-experts, so we need to know if non-experts find them confusing or
  incomplete. If you review a PR and don't find any problems worth commenting
  about, leave a "Looks Good To Me (LGTM)" comment.

* [Submit new wallets](https://github.com/bitcoin-dot-org/bitcoin.org/blob/master/docs/managing-wallets.md)
  for the [Choose Your Wallet page](https://bitcoin.org/en/choose-your-wallet) or
  help us [review wallet submissions](https://github.com/bitcoin-dot-org/bitcoin.org/pulls?q=is%3Aopen+label%3Awallet+is%3Apr).

* [Translate Bitcoin.org into another language](https://github.com/bitcoin-dot-org/bitcoin.org/blob/master/docs/assisting-with-translations.md)
  using [Transifex](https://www.transifex.com/projects/p/bitcoinorg/) or help
  review new and updated translations.

* Add Bitcoin events to the [events page](https://bitcoin.org/en/events)
  either by editing `_events.yml` according to the [event instructions](https://github.com/bitcoin-dot-org/bitcoin.org/blob/master/docs/adding-events-release-notes-and-alerts.md)
  or by filling in a [pre-made events issue](https://github.com/bitcoin-dot-org/bitcoin.org/issues/new?title=New%20event&body=%20%20%20%20-%20date%3A%20YYYY-MM-DD%0A%20%20%20%20%20%20title%3A%20%22%22%0A%20%20%20%20%20%20venue%3A%20%22%22%0A%20%20%20%20%20%20address%3A%20%22%22%0A%20%20%20%20%20%20city%3A%20%22%22%0A%20%20%20%20%20%20country%3A%20%22%22%0A%20%20%20%20%20%20link%3A%20%22%22).

* Help improve Bitcoin.org another way. Email volunteer coordinators Will Binns ([will@bitcoin.org](mailto:will@bitcoin.org))
  or Dave Harding ([dave@dtrt.org](mailto:dave@dtrt.org)) to let us know how
  what you're interested in and how you'd like to get involved.
